# walletFromSecretNumbers | xrpl
Documentation for xrpl

# Function walletFromSecretNumbers

- walletFromSecretNumbers(secretNumbers, opts?): Wallet

- Derives a wallet from secret numbers. NOTE: This uses a default encoding algorithm of secp256k1 to match the popular wallet Xumm (aka Xaman)'s behavior. This may be different from the DEFAULT_ALGORITHM for other ways to generate a Wallet.

  #### Parameters

  - ##### secretNumbers: string | string[]

    A string consisting of 8 times 6 numbers (whitespace delimited) used to derive a wallet.

  - ##### `Optional` opts: {
    algorithm?: ECDSA ;
    masterAddress?: string;
    }

    (Optional) Options to derive a Wallet.

    `Optional`

    - ##### `Optional` algorithm?: ECDSA

      The digital signature algorithm to generate an address for.

    - ##### `Optional` masterAddress?: string

      Include if a Wallet uses a Regular Key Pair. It must be the master address of the account.

  #### Returns Wallet

  A Wallet derived from secret numbers.

  #### Throws

  ValidationError if unable to derive private key from secret number input.

  - Defined in packages/xrpl/src/Wallet/walletFromSecretNumbers.ts:20

Generated using TypeDoc